<?php
 @session_start();
  $vg_login=$_SESSION["usuario"];
 $coddoc=$_REQUEST["td"];
 $vg_empresa=1;
  if($vg_login<>""){}
 else
  {echo "<script>";
   echo "window.location='../index.php';";
   echo "</script>";
  }	


include "../parametros.php"; 
include "../conexion.php"; 

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php echo $nombreprograma; ?></title>
<LINK href="../general.css" type=text/css rel=stylesheet>
<link rel="icon"  href="../icono.ico" />
<script src="../js/jquery.min.js"></script>
<link href="../bootstrap/css/bootstrap.min.css" rel="stylesheet">
<script src="../bootstrap/js/bootstrap.min.js"></script>

<style type="text/css" media="print">
.nover {display:none}
</style>
</head>

<body >
<?php

include "../conexion.php";

$documento=$_REQUEST["documento"];

$sql_datos =mysqli_query($conexion,"select  tipodocumento, consecutivo, proveedor, usurio_doc, factura, fechafactura, locacion,  area, 
												estado, anticipo, municipio, observaciones,vencimiento, usuario, fecsis, horasis,oc
												FROM documento
												where id='".$documento."' and coddoc='".$coddoc."' and empresa='".$vg_empresa."' ");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$tipodocumento=$datos[0]; 						
						$consecutivo=$datos[1]; 	
						$proveedor=$datos[2]; 	
						$usurio_doc=$datos[3]; 	
						$factura=$datos[4]; 	
						$fechafactura=$datos[5]; 	
						$locacion=$datos[6]; 	
						$area=$datos[7]; 	
						$estado=$datos[8]; 	
						$anticipo=$datos[9]; 	
						$municipio=$datos[10]; 	
						$observaciones=$datos[11]; 							
						$vencimiento=$datos[12]; 							
						$rsusuario=$datos[13]; 							
						$rsfecsis=$datos[14]; 							
						$rshorasis=$datos[15]; 							
						$oc=$datos[16]; 							
						
				   }

		$rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_documentos where prefijo='".$coddoc."'");
		while($datoses= mysqli_fetch_row($rs_sql)){ $nformaulario=$datoses[0];}
		
		$rs_sql=mysqli_query($conexion,"SELECT nombre,numero FROM par_tipodocumentos where id='".$tipodocumento."'");
		while($datoses= mysqli_fetch_row($rs_sql)){ $Ntipodocumento=$datoses[0]."-".$datoses[1];}
    			
		$rs_tipodocumento=mysqli_query($conexion,"SELECT nombre FROM par_locacion where id='".$locacion."'");
		 while($datos= mysqli_fetch_row($rs_tipodocumento)){ $nlocacion=$datos[0];}

		$rs_tipodocumento=mysqli_query($conexion,"SELECT nombre FROM par_area where id='".$area."'");
		 while($datos= mysqli_fetch_row($rs_tipodocumento)){ $narea=$datos[0];}

		$rs_tipodocumento=mysqli_query($conexion,"SELECT nombre FROM municipio where id='".$municipio."'");
		 while($datos= mysqli_fetch_row($rs_tipodocumento)){ $nmunicipio=$datos[0];}

		$rs_tipodocumento=mysqli_query($conexion,"SELECT nombre FROM municipio where codigo='".$municipio."'");
		 while($datos= mysqli_fetch_row($rs_tipodocumento)){ $nubicacion=$datos[0];}

		$rs_estadog=mysqli_query($conexion,"SELECT nombre FROM estado where id='".$estado."'");
		 while($datose= mysqli_fetch_row($rs_estadog)){ $nestado=$datose[0];}


		$sql_contar=mysqli_query($conexion,"SELECT direccion,telefono,email,nit,nombre
												FROM tercero where id='".$proveedor."'");
			   while($datos= mysqli_fetch_row($sql_contar))
			   { 
				 $edireccion=$datos[0];
				 $etelefono=$datos[1];
				 $eemail=$datos[2];
				 $enit=$datos[3];
				 $enombre=$datos[4];
			   }
		
		 $sql_contar=mysqli_query($conexion,"SELECT direccion,telefono,email,nit,nombre
												FROM empresa where id='".$vg_empresa."'");
			   while($datos= mysqli_fetch_row($sql_contar))
			   { 
				 $direccion=$datos[0];
				 $telefono=$datos[1];
				 $email=$datos[2];
				 $nit=$datos[3];
				 $nombre=$datos[4];
			   }	   

//INFORMACION CONTABLE DE LA EMPRESA
 		$sql_contar=mysqli_query($conexion,"SELECT count(*) as contar FROM tercero_contable where id='".$proveedor."' and empresa='".$vg_empresa."'");
		   while($datos= mysqli_fetch_row($sql_contar)){ $contar=$datos[0];}
		  if($contar>=1)
			{ 	$sql_datos =mysqli_query($conexion,"select  tercero,tipo,concepto,cuenta,iva,retefuente,reteica,subtipo,ubicacion,anticipo,cuentaxpagar,fecsis,horasis,usuario
    													FROM tercero_contable
    													where tercero='".$proveedor."' and empresa='".$vg_empresa."'");
					while($datos= mysqli_fetch_row($sql_datos))
					{ 
						$proveedor=$datos[0]; 						
						$tipo=$datos[1]; 	
						$concepto=$datos[2]; 	
						$cuenta=$datos[3]; 	
						$iva=$datos[4]; 	
						$retefuente=$datos[5]; 	
						$reteica=$datos[6]; 	
						$subtipo=$datos[7]; 
					 	$ubicacion=$datos[8]; 
					 	$cuentaanticipo=$datos[9]; 
					 	$cuentaxpagar=$datos[10]; 
				   }
			}			 
  
?>
<form name="frmaherramienta" method="post" action="" >
 <center>
 
 
 <table width="95%" border="0" cellspacing="0" cellpadding="0" style="font-size:12px;">
   <tbody>
     <tr align="center">
       <td height="87" colspan="4" align="center" valign="middle">
           <table width="100%" border="0">
         <tbody>
           <tr>
             <td width="15%" align="center"><img src="../imagenes/logocliente.png" width="89" height="50" alt=""/></td>
             <td width="40%" align="center"><table width="100%" border="0">
               <tbody>
                 <tr>
                   <td align="center"><span style="font-size:12px;"><?php echo $nombre; ?></span></td>
                   </tr>
                 <tr>
                   <td align="center"><span style="font-size:12px;"><?php echo $nit; ?></span></td>
                   </tr>
                 <tr>
                   <td align="center"><span style="font-size:12px;"><?php echo $direccion." ".$telefono; ?></span></td>
                 </tr>
               </tbody>
             </table></td>
             <td width="45%" align="center"><table width="100%" border="0">
               <tbody>
                 <tr>
                   <td width="40%"><strong>TIPO DOCUMENTO:</strong></td>
                   <td width="60%"><span style="font-size:12px;"><?php echo $nformaulario; ?></span></td>
                   </tr>
                 <tr>
                   <td><strong>CONSECUTIVO:</strong></td>
                   <td><span style="font-size:12px;"><?php echo $Ntipodocumento."-".$consecutivo; ?></span></td>
                   </tr>
                 </tbody>
               </table></td>
             </tr>
           </tbody>
       </table><br></td>
       </tr>
     <tr>
       <td width="15%"><strong>TERCERO:</strong> </td>
       <td width="45%"><?php echo strtoupper($enombre); ?></td>
       <td width="15%" align="left"><strong>FACTURA No. :</strong></td>
       <td width="25%" align="left"><?php echo $factura; ?></td>
       </tr>
     <tr>
       <td><strong>NIT:</strong> </td>
       <td><?php echo strtoupper($enit); ?></td>
       <td align="left" valign="middle"><strong>FECHA FACT.:</strong></td>
       <td align="left" valign="middle"><?php echo $fechafactura; ?></td>
       </tr>
     <tr>
       <td><strong>DIRECCION:</strong>: </td>
       <td><?php echo strtoupper($edireccion); ?></td>
       <td align="left" valign="middle"><strong>VENCIMIENTO:</strong></td>
       <td align="left" valign="middle"><?php echo $vencimiento; ?></td>
       </tr>
     <tr>
       <td><strong>TELEFONO:</strong></td>
       <td><?php echo strtoupper($etelefono); ?></td>
       <td align="left" valign="middle"><strong>AREA:</strong></td>
       <td align="left" valign="middle"><?php echo strtoupper($narea); ?></td>
       </tr>
     <tr>
       <td><strong>FAX</strong>: </td>
       <td><?php echo strtoupper($etelefono); ?></td>
	   <td><strong>OC:</strong></td>
       <td><?php echo strtoupper($oc); ?></td>
       </tr>
     <tr>
       <td><strong>LOCACION:</strong></td>
       <td><?php echo strtoupper($nlocacion); ?></td>
       <td>&nbsp;</td>
       <td>&nbsp;</td>
     </tr>
     <tr>
       <td><strong>UBICACION:</strong></td>
       <td><?php echo strtoupper($nubicacion); ?></td>
       <td colspan="2" rowspan="2" align="center" style="font-size:16px;"><strong><?php echo strtoupper($nestado); ?></strong></td>
      </tr>
     <tr>
       <td><strong>OBSERVACIONES:</strong></td>
       <td><?php echo strtoupper($observaciones); ?></td>
      </tr>    
     <?php
     
     if($recobrable=='S')
     {
       echo "<tr>
               <td><strong>COSTO</strong>: </td>
               <td>".number_format($costo)."</td>
        	   <td><strong>INGRESO:</strong></td>
               <td>".number_format($ingreso)."</td>
       </tr>";    
        echo "<tr>
               <td><strong>UTILIDAD</strong>: </td>
               <td>".number_format($utilidad)."</td>
        	   <td><strong>CLIENTE:</strong></td>
               <td>".strtoupper($clientecosto)."</td>
       </tr>";    
         
     }
     
     ?>  
       
       
   </tbody>
 </table>


					
 <?php
    echo "<br><center>";
   echo "<table width='95%' border='1' cellspacing='0' cellpadding='0'   style='font-size:12px;color:#000000' >";
   echo "<tr style='background-color:#c4c8c6;'>
				<td align='center' width='15%' >CUENTA</td>	
				<td align='center' width='20%'>CONCEPTO CUENTA</td>										
				<td align='center' width='20%'>CENCOS</td>										
				<td align='center' width='30%'>DETALLE</td>										
				<td align='center' width='15%'>VALOR</td>										
			</tr>";	
			$suma=0;$sumaiva=0;$cl=1;
			
    		$sql_datos=mysqli_query($conexion,"select id,item,cuenta,tipo,cencos,valor,detalle,
    									iva,retefuente,reteica,reteiva,nocuenta,dc,subtipo,concepto,dc
    											FROM documento_item
    											where documento='".$documento."'
    											and coddoc='".$coddoc."'
    											and empresa='".$vg_empresa."'
    											order by id asc");
    		while($datoslog= mysqli_fetch_row($sql_datos))//01
    		{
    			$id=$datoslog[0];
    			$item=$datoslog[1];
    			$cuenta=$datoslog[2];
    			$tipo=$datoslog[3];
    			$cencos=$datoslog[4];
    			$valor=$datoslog[5];
    			$detalle=$datoslog[6];
    			$iva=$datoslog[7];
    			$retefuente=$datoslog[8];
    			$reteica=$datoslog[9];
    			$reteiva=$datoslog[10];
    			$nocuenta=$datoslog[11];
    			$dc=$datoslog[12];
    			$subtipo=$datoslog[13];
    			$concepto=$datoslog[14];
    			$dc=$datoslog[15];
    			
    			 if($dc=='C'){$vdc=-1;}
                 if($dc=='D'){$vdc=1;}
    			
                $ntipo="";
                $rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_generales where id='".$tipo."'");
                while($datoses= mysqli_fetch_row($rs_sql)){ $ntipo=$datoses[0];}
                $nconcepto="";
                $rs_sql=mysqli_query($conexion,"SELECT nombre FROM par_conceptos where id='".$concepto."'");
                while($datoses= mysqli_fetch_row($rs_sql)){ $nconcepto=$datoses[0];}
                $niva="";
    
    			
                $ncencos="";
    			$rs_ccs=mysqli_query($conexion,"SELECT nombre FROM par_centro_costo where id='".$cencos."'");
    			while($datoccs= mysqli_fetch_row($rs_ccs)){$ncencos=$datoccs[0];}
    			$ncuenta="";
    			$rs_ccs=mysqli_query($conexion,"SELECT nombre FROM par_conceptos where id='".$cuenta."'");
    			while($datoccs= mysqli_fetch_row($rs_ccs)){$ncuenta=$datoccs[0];}
                $ntipoconcepto="";
    			$rs_ccs=mysqli_query($conexion,"SELECT nombre FROM par_generales where id='".$tipoconcepto."'");
    			while($datoccs= mysqli_fetch_row($rs_ccs)){$ntipoconcepto=$datoccs[0];}
    			$niva="";
    			$rs_iva=mysqli_query($conexion,"SELECT nombre FROM par_iva where id='".$iva."'");
    			while($datoccs= mysqli_fetch_row($rs_iva)){$niva=$datoccs[0];}
    			$nreteica="";
                $rs_reteica=mysqli_query($conexion,"SELECT nombre FROM par_reteica where id='".$reteica."'");
                while($datoccs= mysqli_fetch_row($rs_reteica)){$nreteica=$datoccs[0];}
                $nreteiva="";
                $rs_reteiva=mysqli_query($conexion,"SELECT nombre FROM par_reteiva where id='".$reteiva."'");
                while($datoccs= mysqli_fetch_row($rs_reteiva)){$nreteiva=$datoccs[0];}
                $nretefuente="";
                $rs_retefuente=mysqli_query($conexion,"SELECT nombre FROM par_retefuente where id='".$retefuente."'");
                while($datoccs= mysqli_fetch_row($rs_retefuente)){$nretefuente=$datoccs[0];}
    
    			echo "<tr>
    					<td align='center'>$cuenta</td>
    					<td align='center'>$nconcepto</td>
    					<td align='center'>$ncencos</td>										
    					<td align='center'>".strtoupper($detalle)."</td>		
    					<td align='right'>".number_format($valor)."</td>
    				</tr>";
    				//$total=$cantidad*$valorunitario;
    				$suma=$suma+$valor;
    			$c++;	
    		}
	$subtotal=$suma;
	echo  "</table></center><br>";
	  
//resumen
echo "<table cellpadding='0' cellspacing='0'  border='1' style='font-size:12px;color:#000000;width:70%'>";
			echo "<tr style='background-color:#c4c8c6;'>
					<td align='center'>TAX</td>
					<td align='center'>DETALLE</td>
					<td align='center'>CUENTA</td>
					<td align='center'>BASE</td>
					<td align='center'>VALOR</td>
		</tr>";
	$sql_datosiva=mysqli_query($conexion,"select nombretipocuenta,detalle,nocuenta,base,valor,item FROM contabiliza
											where documento='".$documento."'
											and coddoc='".$coddoc."'
											and empresa='".$vg_empresa."' 
											order by item");
		while($datoslogiva= mysqli_fetch_row($sql_datosiva))//01
		{
    	    $nombretipocuenta=$datoslogiva[0];
    	    $detalle=$datoslogiva[1];
    	    $nocuenta=$datoslogiva[2];
    	    $base=$datoslogiva[3];
    	    $valor=$datoslogiva[4];
    	    
    	    if($detalle=='SUBTOTAL')
    	        {
    	            echo "<tr>
    					<td align='right' colspan='4'>".strtoupper($detalle)."</td>
    					<td align='right'>".number_format($valor)."</td>
		            </tr>";
    	        }
    	   if($detalle=='TOTAL FACTURA')
    	        {
    	            echo "<tr>
    					<td align='right' colspan='4'>".strtoupper($detalle)."</td>
    					<td align='right'>".number_format($valor)."</td>
		            </tr>";
    	        }     
    	     if($detalle<>'SUBTOTAL' && $detalle<>'TOTAL FACTURA')
    	     {
    	    	echo "<tr>
					<td align='center'>$nombretipocuenta</td>
					<td align='center'>".strtoupper($detalle)."</td>
					<td align='center'>$nocuenta</td>
					<td align='right'>".number_format($base)."</td>
					<td align='right'>".number_format($valor)."</td>
		        </tr>";
    	     }  
		}    
 echo "</table><br>";

     $nombre="";	
	   $sql_datosap=mysqli_query($conexion,"select usuarioaprobo,fechaaprobo,horaaprobo,observacionestado from documento_aprobar
									 	where documento='".$documento."' and coddoc='".$coddoc."' and empresa='".$vg_empresa."'");
					while($datosap= mysqli_fetch_row($sql_datosap))
					{ 
					 	$aprobador=$datosap[0]; 						
						$fechaaprobo=$datosap[1]; 	
						$horaaprobo=$datosap[2]; 	
						$observacionestado=$datosap[3]; 	
						
						if($fechaaprobo=='0000-00-00'){$fechaaprobo="";$horaaprobo="";}
						$nombre="";
						$sql_codprou=mysqli_query($conexion,"SELECT nombre,apellido FROM usuario where login='".$aprobador."'");
						while($datosapu= mysqli_fetch_row($sql_codprou)){ $nombre=$datosapu[0]." ".$datosapu[1];	}
				   }
    echo  "</center>";	
    $nombreelaboro="";
    $sql_codprou=mysqli_query($conexion,"SELECT nombre,apellido FROM usuario where login='".$rsusuario."'");
    while($datosapu= mysqli_fetch_row($sql_codprou)){ $nombreelaboro=$datosapu[0]." ".$datosapu[1];	}
						
	echo "<font size='1'>Elaboro: ".strtoupper($nombreelaboro)." / $rsfecsis / $rshorasis <br>";	
	echo "Aprobo: ".strtoupper($nombre)." / $fechaaprobo / $horaaprobo /  $observacionestado</font>";	
 ?>
  

</form>
<br><center>
	
	<input name='imprime' type='button'  id='imprime' value='Imprime'   class="nover"  title="Clic para ver reporte"  onClick="window.print();" >
	<input name='cerrar' type='button'  id='cerrar' value='Cerrar'   class="nover"  title="Clic para ver reporte"  onClick="window.close();" >
		
</center>
<?php
 mysqli_close($conexion);
?>


</body>
</html>
